%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-gtkmm30
Version:        3.2.0
Release:        1%{?dist}
Summary:        MinGW Windows C++ interface for the GTK+ library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gtkmm/%{release_version}/gtkmm-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-atk
BuildRequires:  mingw32-atkmm
BuildRequires:  mingw32-cairomm
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glibmm24
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw32-pango
BuildRequires:  mingw32-pangomm

%description
gtkmm is the official C++ interface for the popular GUI library GTK+.
Highlights include type safe callbacks, and a comprehensive set of
widgets that are easily extensible via inheritance.

This package contains the MinGW Windows cross compiled gtkmm library,
API version 3.0.


%package -n mingw32-gtkmm30
Summary:        MinGW Windows C++ interface for the GTK+ library

%description -n mingw32-gtkmm30
gtkmm is the official C++ interface for the popular GUI library GTK+.
Highlights include type safe callbacks, and a comprehensive set of
widgets that are easily extensible via inheritance.

This package contains the MinGW Windows cross compiled gtkmm library,
API version 3.0.


%{?_mingw32_debug_package}


%prep
%setup -q -n gtkmm-%{version}

%build
%{_mingw32_configure} --disable-static --disable-documentation
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files -n mingw32-gtkmm30
%doc COPYING
%{_mingw32_bindir}/libgdkmm-3.0-1.dll
%{_mingw32_bindir}/libgtkmm-3.0-1.dll
%{_mingw32_libdir}/libgdkmm-3.0.dll.a
%{_mingw32_libdir}/libgdkmm-3.0.la
%{_mingw32_libdir}/libgtkmm-3.0.dll.a
%{_mingw32_libdir}/libgtkmm-3.0.la
%{_mingw32_includedir}/gdkmm-3.0/
%{_mingw32_includedir}/gtkmm-3.0/
%{_mingw32_libdir}/gdkmm-3.0/
%{_mingw32_libdir}/gtkmm-3.0/
%{_mingw32_libdir}/pkgconfig/gdkmm-3.0.pc
%{_mingw32_libdir}/pkgconfig/gtkmm-3.0.pc


%changelog
* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 3.2.0-1
- Update to 3.2.0
- Dropped upstreamed patch

* Thu Jul 07 2011 Kalev Lember <kalevlember@gmail.com> - 3.0.1-3
- Rebuilt against win-iconv

* Sun May 29 2011 Kalev Lember <kalev@smartlink.ee> - 3.0.1-2
- Renamed the base package to mingw-gtkmm30 as per updated guidelines
- Use the automatic dep extraction available in mingw32-filesystem 68

* Mon May 09 2011 Kalev Lember <kalev@smartlink.ee> - 3.0.1-1
- Update to 3.0.1

* Mon May 02 2011 Kalev Lember <kalev@smartlink.ee> - 3.0.0-1
- Initial RPM release
